/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.records;


import com.tabajara.base.tables.Arduinoatuador;
import com.tabajara.base.tables.interfaces.IArduinoatuador;

import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import javax.annotation.Generated;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record3;
import org.jooq.Row3;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class ArduinoatuadorRecord extends UpdatableRecordImpl<ArduinoatuadorRecord> implements VertxPojo, Record3<Integer, Integer, Integer>, IArduinoatuador {

    private static final long serialVersionUID = 1752884465;

    /**
     * Setter for <code>public.arduinoatuador.ardsenid</code>.
     */
    @Override
    public ArduinoatuadorRecord setArdsenid(Integer value) {
        set(0, value);
        return this;
    }

    /**
     * Getter for <code>public.arduinoatuador.ardsenid</code>.
     */
    @Override
    public Integer getArdsenid() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>public.arduinoatuador.fkardid</code>.
     */
    @Override
    public ArduinoatuadorRecord setFkardid(Integer value) {
        set(1, value);
        return this;
    }

    /**
     * Getter for <code>public.arduinoatuador.fkardid</code>.
     */
    @Override
    public Integer getFkardid() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>public.arduinoatuador.fkatuid</code>.
     */
    @Override
    public ArduinoatuadorRecord setFkatuid(Integer value) {
        set(2, value);
        return this;
    }

    /**
     * Getter for <code>public.arduinoatuador.fkatuid</code>.
     */
    @Override
    public Integer getFkatuid() {
        return (Integer) get(2);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Record3 type implementation
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Row3<Integer, Integer, Integer> fieldsRow() {
        return (Row3) super.fieldsRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Row3<Integer, Integer, Integer> valuesRow() {
        return (Row3) super.valuesRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field1() {
        return Arduinoatuador.ARDUINOATUADOR.ARDSENID;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field2() {
        return Arduinoatuador.ARDUINOATUADOR.FKARDID;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field3() {
        return Arduinoatuador.ARDUINOATUADOR.FKATUID;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component1() {
        return getArdsenid();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component2() {
        return getFkardid();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component3() {
        return getFkatuid();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value1() {
        return getArdsenid();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value2() {
        return getFkardid();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value3() {
        return getFkatuid();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public ArduinoatuadorRecord value1(Integer value) {
        setArdsenid(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public ArduinoatuadorRecord value2(Integer value) {
        setFkardid(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public ArduinoatuadorRecord value3(Integer value) {
        setFkatuid(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public ArduinoatuadorRecord values(Integer value1, Integer value2, Integer value3) {
        value1(value1);
        value2(value2);
        value3(value3);
        return this;
    }

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public void from(IArduinoatuador from) {
        setArdsenid(from.getArdsenid());
        setFkardid(from.getFkardid());
        setFkatuid(from.getFkatuid());
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public <E extends IArduinoatuador> E into(E into) {
        into.from(this);
        return into;
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached ArduinoatuadorRecord
     */
    public ArduinoatuadorRecord() {
        super(Arduinoatuador.ARDUINOATUADOR);
    }

    /**
     * Create a detached, initialised ArduinoatuadorRecord
     */
    public ArduinoatuadorRecord(Integer ardsenid, Integer fkardid, Integer fkatuid) {
        super(Arduinoatuador.ARDUINOATUADOR);

        set(0, ardsenid);
        set(1, fkardid);
        set(2, fkatuid);
    }

    public ArduinoatuadorRecord(io.vertx.core.json.JsonObject json) {
        this();
        fromJson(json);
    }
}
